Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.common
Class EntitlementHelper

    java.lang.Object
      |
      +--com.bea.p13n.entitlements.common.EntitlementHelper

public class EntitlementHelper
extends Object

Provides helper methods for constructing entitlements.

Field Summary
`static String` | `CTXT_HNDLR`
`static String` | `ENT_REQUEST`

Constructor Summary
`EntitlementHelper()`

Method Summary
`static EntitlementRequest` | `createEntitlementRequest(HttpServletRequest anHttpRequest)` Populates a new `Object []` with the following: The current HTTP Request The current HTTP Session The current User A new TimeInstant A new Time A new Date
`static P13nContextHandler` | `createP13nContextHandler(HttpServletRequest httpRequest)` Returns a `P13nContextHandler` for the current user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENT_REQUEST

    public static String ENT_REQUEST

### CTXT_HNDLR

    public static String CTXT_HNDLR

Constructor Detail

### EntitlementHelper

    public EntitlementHelper()

Method Detail

### createEntitlementRequest

    public static EntitlementRequest createEntitlementRequest(HttpServletRequest anHttpRequest)
                                                       throws EntitlementsException

  Populates a new `Object []` with the following:
  - The current HTTP Request
  - The current HTTP Session
  - The current User
  - A new TimeInstant
  - A new Time
  - A new Date

  Returns:
    a new `AdviceRequest` instance.
  Throws:
    `EntitlementsException` - if an error occurrs during creation of an `AdviceRequest`.
  See Also:
    `AdviceRequest`

### createP13nContextHandler

    public static P13nContextHandler createP13nContextHandler(HttpServletRequest httpRequest)
                                                       throws EntitlementsException

  Returns a `P13nContextHandler` for the current user.

  Returns:
    a P13nContextHandler for the current user.
    `EntitlementsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved